nxt

## Class Attachment.MessagingPollCreation.PollBuilder

- java.lang.Object
- - nxt.Attachment.MessagingPollCreation.PollBuilder

- Enclosing class:
    Attachment.MessagingPollCreation

      public static final class Attachment.MessagingPollCreation.PollBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PollBuilder(java.lang.String pollName, java.lang.String pollDescription, java.lang.String[] pollOptions, int finishHeight, byte votingModel, byte minNumberOfOptions, byte maxNumberOfOptions, byte minRangeValue, byte maxRangeValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attachment.MessagingPollCreation` | `build()`
    `Attachment.MessagingPollCreation.PollBuilder` | `holdingId(long holdingId)`
    `Attachment.MessagingPollCreation.PollBuilder` | `minBalance(byte minBalanceModel, long minBalance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PollBuilder

          public PollBuilder(java.lang.String pollName,
                             java.lang.String pollDescription,
                             java.lang.String[] pollOptions,
                             int finishHeight,
                             byte votingModel,
                             byte minNumberOfOptions,
                             byte maxNumberOfOptions,
                             byte minRangeValue,
                             byte maxRangeValue)

  - ### Method Detail

    - #### minBalance

          public Attachment.MessagingPollCreation.PollBuilder minBalance(byte minBalanceModel,
                                                                         long minBalance)

    - #### holdingId

          public Attachment.MessagingPollCreation.PollBuilder holdingId(long holdingId)

    - #### build

          public Attachment.MessagingPollCreation build()